


NSRCK(8)                                                 NSRCK(8)


NNAAMMEE
       nnssrrcckk
        - NetWorker index consistency check and repair program

SSYYNNOOPPSSIISS
       nnssrrcckk  [ --qqMM ] | [ --TT _t_e_m_p_d_i_r ] { --XX [ --xx _p_e_r_c_e_n_t ] | --CC |
       --FF | --mm ] [ --cc _c_l_i_e_n_t_n_a_m_e ... ]

DDEESSCCRRIIPPTTIIOONN
       The nnssrrcckk program checks the consistency of the  NetWorker
       online  index containing a client's save sets.  Typically,
       nnssrrcckk is automatically started by the nnssrriinnddeexxdd(8) program
       when nnssrriinnddeexxdd starts.

       Index  consistency  checking  is  performed  in up to four
       phases.

       Phase zero determines whether a  client's  index  requires
       further  investigation.   This  phase  checks the internal
       state of the index database. If that state is  consistent,
       nnssrrcckk skips the remaining phases.  Phase zero also reports
       index names that appear to  be  suspicious  (for  example,
       indexes   whose   names   do  not  map  to  valid  network
       addresses).

       Phase one fixes all errors found within a database  record
       file,  _d_b_,  and, if neccessary the b-tree indexes for that
       database will be rebuilt.

       Phase two flags the database for cross-checking  with  the
       media  database,  when  the  -X  option  is specified. The
       records in the file index are checked  against  the  media
       database,  and  any  records  that  do  not have existing,
       browsable save set entries are deleted.

       Phase three is invoked if the database index requires com-
       pression, either due to space freed by the previous phases
       or due to a state flagged by a previous run.

       Index compression is a two or three step process.   First,
       the  records  of  the  database  are copied to a temporary
       database, _d_b_._C_M_P _.  Second, a flag file, _d_b_._S_V_C _, is  cre-
       ated;  the  old, uncompressed database is removed, and the
       compressed database is  renamed  to  _d_b  _.   Finally,  the
       _d_b_._S_V_C  file  is  removed.  If there is not enough room on
       the filesystem containing the ddaattaabbaassee file to include the
       temporary  database,  nnssrrcckk  creates  a  temporary file on
       another writable filesystem. It stores a pointer  to  this
       file  in a file named _d_b_._P_T_R_.  In this case, an extra copy
       of the data is required, as the uncompressed database must
       first be removed before the data can be copied back to the
       correct location. Upon completion of all these steps,  the
       _d_b_._P_T_R file is removed.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRCK(8)                                                 NSRCK(8)


       The  nnssrrcckk program can be restarted at any time during its
       execution.  Therefore, it can survive  system  crashes  or
       exhaustion of resources without losing data.

OOPPTTIIOONNSS
       --CC     Forces  index  compression on the named clients, or
              all clients if none are specified.  Other phases of
              checking  are  only  performed  if  an  error  in a
              database is detected.

       --cc _c_l_i_e_n_t_n_a_m_e_._._.
              Creates indexes databases for the named clients, or
              all clients if none are specified. Do not check the
              index databases if they already exist.

       --FF     Forces a check on the specified client  names.   If
              no names are specified, forced checks are performed
              for all client indexes.   This  option  forces  all
              phases of index checking.  For backward compatibil-
              ity, the --FF option implies index  compression,  and
              may  be  used  to force the index to be compressed.
              This option is typically only  necessary  when  the
              _b_r_o_w_s_e  _p_o_l_i_c_y  is  reduced  (for  example,  if the
              browse policy is changed from 1 year to 6  months).
              See  nnssrr__ppoolliiccyy(5)  for  information  on the policy
              resource.

       --TT _t_e_m_p_d_i_r
              Specifies the directory for nnssrrcckk to  use  to  hold
              the  database  temporarily  during  compression, if
              there is not enough room on the filesystem contain-
              ing  the _d_b file.  If you use this option and there
              is insufficient space in  the  specified  temporary
              directory,  the nnssrrcckk program fails.  This argument
              is ignored if there  is  sufficient  space  in  the
              filesystem containing the _d_b file.

       --MM     Master  mode  (not  advised  for manual operation).
              This option advises nnssrrcckk that nnssrrdd(8)  or  another
              NetWorker  daemon  invoked  nnssrrcckk and logs messages
              with timestamps, as  well  as  performs  any  other
              behavior expected by nnssrrdd..

       --mm     Forces   nnssrrcckk  to  check  and  rebuild  the  media
              database b-tree  indexes,  instead  of  checking  a
              client's online file index.

       --qq     Quiet  mode.   Quiet  mode  suppresses all advisory
              messages.

       --XX     Cross-checks the save set ids in the index  records
              with  save sets found in the media database instead
              of checking the index databases (unless an error in
              pahse zero occurs).  Records that do not correspond



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRCK(8)                                                 NSRCK(8)


              to media save  sets  are  discarded.   If  specific
              clients  are  listed, the cross-check is limited to
              those client indexes.

       --xx _p_e_r_c_e_n_t
              Compresses a database  after  it  has  been  cross-
              checked,  if the database uses less than the speci-
              fied _p_e_r_c_e_n_t of the file.   The  database  is  com-
              pressed   to  release  unused  pages  back  to  the
              filesystem.  The  default  precentage  for  the  --xx
              option is 30.

FFIILLEESS
       _/_n_s_r_/_t_m_p_/_._n_s_r_c_k
              NNssrrcckk  locks this file to ensure that only one copy
              of the command is passed to the NetWorker server.
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b_._C_M_P
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b_._P_T_R
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b_._S_C_V
       _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b_._R_C_V

       _/_a_n_y_f_i_l_e_s_y_s_t_e_m_/ _n_s_r_c_k _X_X_X_X_X_X
              Temporary database created while compressing  a  db
              file  if there is not enough room to do compression
              in _/_n_s_r_/_i_n_d_e_x_/ _c_l_i_e_n_t_n_a_m_e _/_d_b_._C_M_P.

SSEEEE AALLSSOO
       nnssrr__llaayyoouutt(5), nnssrr__ppoolliiccyy(5), hhoossttss(5), nnssrrdd(8),
       nnssrriinnddeexxdd(8), nnssrrmmmmddbbdd(8), nnssrriimm(8), ssaavveeggrrpp(8)

DDIIAAGGNNOOSSTTIICCSS
       cchheecckkiinngg iinnddeexx ffoorr _c_l_i_e_n_t_n_a_m_e
              Informative  message stating that the files associ-
              ated with the named client are being inspected.

       mmoorree ssppaaccee nneeeeddeedd ttoo ccoommpprreessss _c_l_i_e_n_t_n_a_m_e iinnddeexx,, _s_i_z_e
       rreeqquuiirreedd
              The  program  cannot find enough disk space to hold
              the temporary file _d_b_._C_M_P _.   The  operator  should
              free  some  disk  space  on  a local filesystem and
              retry the command.  The ddff(8) command may  be  used
              to  see  how  much  free  space  is  available on a
              filesystem.

       ccaannnnoott lloocckk ffllaagg ffiillee ffoorr _c_l_i_e_n_t_n_a_m_e:: _r_e_a_s_o_n
              The flag file signifying the end of the first  part
              of  index  compression is already in use by another
              instance of this program, or by the nnssrriinnddeexxdd  dae-
              mon.   Since  disaster  will ensue if two processes
              access the same index at the same time, the program
              will refuse to act on the named file.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





NSRCK(8)                                                 NSRCK(8)


       WWAARRNNIINNGG nnoo vvaalliidd ssaavveettiimmeess -- ccrroossss--cchheecckk nnoott ppeerrffoorrmmeedd ffoorr
       _c_l_i_e_n_t_n_a_m_e
              During a cross-check, no save sets were  found  for
              this client.  Since this situation can occur during
              disaster recovery, nnssrrcckk does not delete  the  con-
              tents of the client index.

       ccrroossss--cchheecckkiinngg iinnddeexx ffoorr _c_l_i_e_n_t_n_a_m_e
              Displayed when the --XX option is in effect.

       rroolllliinngg ffoorrwwaarrdd iinnddeexx ccoommpprreessssiioonn ffoorr _c_l_i_e_n_t_n_a_m_e
              After  a reboot, if index compression completed its
              first copy, the compression is rolled forward.

       ccoommpprreessssiinngg iinnddeexx ffoorr _c_l_i_e_n_t_n_a_m_e
              Displayed when  the  --xx  or  --CC  option  has  taken
              effect.

       ccoommpplleetteedd cchheecckkiinngg _c_o_u_n_t cclliieennttss
              Displayed  as  the  program finishes, provided some
              form of checking was accomplished.




































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4


